
package cheddar.aadl;

/*
 * Here is the list of AADL properties for Cheddar.
 * Some of those properties are specific to scheduling features of Cheddar.
 * Others are now part of the AADL standard, and are kept for legacy reasons.
 */

public class Cheddar_Transformation_Properties {

	public static final String _NAME = "Cheddar_Transformation_Properties";

	public static final String DEBUG_LEVEL = "Debug_Level";

	/* Properties to drive Cheddar XML generation from AADL */

	public static final String EXPORTED_ATTRIBUTE_TIME_UNITS = "Exported_Attribute_Time_Units";
	public static final String TRANSFORM_SPORADIC_TO_PERIODIC = "Transform_Sporadic_To_Periodic";
	public static final String TRANSFORM_POISSON_TO_PERIODIC = "Transform_Poisson_To_Periodic";
	public static final String DATA_PORT_TO_TIME_TRIGGERED_DEPENDENCY = "Data_Port_To_Time_Triggered_Dependency";

}

